import * as React from 'react';
import { NotieContext } from './Notie';
export function withNotie(Component) {
    function NotieWrapper(props) {
        return (React.createElement(NotieContext.Consumer, null, ({ confirm, error, info, success, warn, force }) => (React.createElement(Component, Object.assign({}, props, { notie: { confirm, error, info, success, warn, force } })))));
    }
    return NotieWrapper;
}
