var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import { NotieContext } from './Notie';
export function withNotie(Component) {
    function NotieWrapper(props) {
        return (React.createElement(NotieContext.Consumer, null, function (_a) {
            var confirm = _a.confirm, error = _a.error, info = _a.info, success = _a.success, warn = _a.warn, force = _a.force;
            return (React.createElement(Component, __assign({}, props, { notie: { confirm: confirm, error: error, info: info, success: success, warn: warn, force: force } })));
        }));
    }
    return NotieWrapper;
}
