import * as React from 'react';
import { NotieContextAttributes } from './Notie';
export declare type ShowNotieMethods = Pick<NotieContextAttributes, 'confirm' | 'error' | 'info' | 'success' | 'warn' | 'force'>;
export interface WithNotieProps {
    notie: ShowNotieMethods;
}
export declare function withNotie<T = {}>(Component: React.ComponentType<T & WithNotieProps>): React.ComponentType<T>;
