"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var Notie_1 = require("./Notie");
function withNotie(Component) {
    function NotieWrapper(props) {
        return (React.createElement(Notie_1.NotieContext.Consumer, null, function (_a) {
            var confirm = _a.confirm, error = _a.error, info = _a.info, success = _a.success, warn = _a.warn, force = _a.force;
            return (React.createElement(Component, __assign({}, props, { notie: { confirm: confirm, error: error, info: info, success: success, warn: warn, force: force } })));
        }));
    }
    return NotieWrapper;
}
exports.withNotie = withNotie;
